<?php
ob_start();
include("config.php");

$partnerid	=	37545;
require('class.mollie.ideal.php');

	if(!$_GET['transaction_id'])
	die('no transaction_id..');

$ideal	=	new ideal();
$ideal->setPartnerid($partnerid);
$ideal->setTransactionId($_GET['transaction_id']);

	if($ideal->checkPayment()){
	mysql_query("INSERT INTO `betalingen`(`login`,`soort`) VALUES('{$_COOKIE['login']}','Ideal')");
	mysql_query("UPDATE `gebruiker` SET `vipster`=`vipster`+'10' WHERE `login`='{$_COOKIE['login']}'");
	echo 'De betaling is afegerond, Bedankt voor jouw steun.' ;
	} else {
	echo '<font color=red><b>Betaling is niet afgerond,<br />volg de onderstaande instructies!</b></font><br /><br />';
	}

?>
